Agora Java API Reference for Android

Public Member Functions | Public Attributes | List of all members
io.agora.musiccontentcenter.Music Class Reference

Detailed information of the music resource. More...

## Public Member Functions
| Music (long songCode, String name, String singer, String poster, String releaseTime, int type, int pitchType, int durationS, int[] lyricTypes, MvProperty[] mvProperties, ClimaxSegment[] climaxSegments)
long | getSongCode ()
String | getName ()
String | getSinger ()
String | getPoster ()
String | getReleaseTime ()
int | getType ()
int | getPitchType ()
int | getDurationS ()
int[] | getLyricTypes ()
MvProperty[] | getMvProperties ()
ClimaxSegment[] | getClimaxSegments ()
String | toString ()

## Public Attributes
long | songCode
String | name
String | singer
String | poster
String | releaseTime
int | type
int | pitchType
int | durationS
int[] | lyricTypes
MvProperty[] | mvProperties
ClimaxSegment[] | climaxSegments

## Detailed Description

Detailed information of the music resource.

## Member Data Documentation

## ◆ songCode

long io.agora.musiccontentcenter.Music.songCode

The identifier of a music resource, used to identify a music resource.

## ◆ name

String io.agora.musiccontentcenter.Music.name

Name of the music resource.

## ◆ singer

String io.agora.musiccontentcenter.Music.singer

Singer name.

## ◆ poster

String io.agora.musiccontentcenter.Music.poster

The download URL of the music resource poster.

## ◆ releaseTime

String io.agora.musiccontentcenter.Music.releaseTime

The release time of the music resource.

## ◆ type

int io.agora.musiccontentcenter.Music.type

Music resource types:

- 1: A single-track audio source with accompaniment on the left channel and original vocals on the right channel.
- 2: A single-track audio source with accompaniment only.
- 3: A single-track audio source with original vocals only.
- 4: A multi-track audio source.

## ◆ pitchType

int io.agora.musiccontentcenter.Music.pitchType

Whether the song supports the singing scoring feature:

- 1: The song supports the singing scoring feature.
- 2: The song does not support the singing scoring feature.

## ◆ durationS

int io.agora.musiccontentcenter.Music.durationS

Total duration of the music resource (in seconds).

## ◆ lyricTypes

int [] io.agora.musiccontentcenter.Music.lyricTypes

Supported lyric types:

- 0: xml format.
- 1: lrc format.

## ◆ mvProperties

MvProperty [] io.agora.musiccontentcenter.Music.mvProperties

The number of mv of the music If this value is greater than zero, it means the current music has MV resource

## ◆ climaxSegments

ClimaxSegment [] io.agora.musiccontentcenter.Music.climaxSegments

List of music climax segments. See `ClimaxSegment` for details.